#!/usr/bin/env node

import { Command } from 'commander';
import { serveCommand } from './commands/serve.js';
import { buildCommand } from './commands/build.js';
import { version } from '../package.json' assert { type: 'json' };

const program = new Command();

program
  .name('z-service')
  .description('Z-Tools 开发服务')
  .version(version);

// 注册命令
program.addCommand(serveCommand);
program.addCommand(buildCommand);

// 解析命令行参数
program.parse();
